Issue 122218 - [sidebar] Provide panel for inserting shapes
[sidebar] Provide panel for inserting shapes
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: ui
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Andre
:
Depends on:
Blocks: [sidebar]
  Show dependency treegraph
 
Reported: 2013-05-03 09:54 UTC by Andre
Modified: 2013-07-11 13:56 UTC (History)
2 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Andre 2013-05-03 09:54:56 UTC
Draw does not have a default panel.  A panel that allows the most frequently used shapes can fill this void.
Comment 1 Andre 2013-05-03 09:56:25 UTC
Draw has an empty context name after a new Draw document has been created but the default should be "DrawPage".
Comment 2 Andre 2013-05-03 13:05:42 UTC
Created a new panel named "Insert Shapes" that for now is only visible for Draw documents in all contexts.
Comment 3 SVN Robot 2013-05-03 13:07:18 UTC
"af" committed SVN revision 1478763 into trunk:
122218: Add new sidebar panel for inserting shapes into Draw documents.
Comment 4 SVN Robot 2013-05-03 14:26:23 UTC
"af" committed SVN revision 1478806 into trunk:
122218: Added missing files to sfx2/inc/sfx2/sidebar.
Comment 5 Andre 2013-05-03 15:08:59 UTC
Somehow my local transition from GIT to SVN did not work as planned.  Forgot to add the new files.
Comment 6 SVN Robot 2013-05-03 15:13:26 UTC
"af" committed SVN revision 1478828 into trunk:
122218: Added more missing files.
Comment 7 SVN Robot 2013-05-10 11:30:31 UTC
"af" committed SVN revision 1480982 into trunk:
122218: Replaced local tool box controller with existing GenericToolboxContro...
Comment 8 Andre 2013-05-10 11:34:24 UTC
Cleaned up the new panel by using the already available svtools::GenericToolboxController instead of the new SimpleToolboxController.
Comment 9 Yuri Dario 2013-05-11 14:38:25 UTC
ater SVN revision 1480982, 

svx/source/sidebar/insert/SimpleToolBoxController.cxx

is still referenced in Library_svx.mk.